Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 598229

Summary: ovirt web admin - [RFE] unable to edit storage name while storage is inactive, please gray out this field.
Product: [Retired] oVirt Reporter: Haim <hateya>
Component: ovirt-engine-webadminAssignee: Einav Cohen <ecohen>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: low    
Version: unspecifiedCC: abaron, acathrow, amureini, ecohen, hateya, iheim, lpeer, mgoldboi, Rhev-m-bugs, sgrinber, yeylon, ykaul
Target Milestone: ---Keywords: EasyFix, Improvement, Reopened
Target Release: 3.3.4   
Hardware: All   
OS: Linux   
Whiteboard: storage
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-13 12:50:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Haim 2010-05-31 20:38:05 UTC
Description of problem:

unable to edit storage name while storage is down in inactive state and i can't understand why. 
the name is for administrative use only (update database) and I don't see why domain is down prevents me from applying the change. 
get the following message: 

cannot update storage, the relevant storage domain is inaccessible.. 

1) create new data domain
2) make it inactive 
3) try edit storage name

Comment 1 Itamar Heim 2010-05-31 21:17:30 UTC
because we actually change the domain description in the storage domain meta data...

Comment 2 Haim 2010-05-31 21:40:51 UTC
fair enough, but we can still address this issue: 

1) save the name and apply the change when it's up again (i think we do it in edit vm options)
2) grey out this field while domain is down like we do in host\address field.

Comment 3 Simon Grinberg 2011-02-07 13:06:42 UTC
(In reply to comment #2)
> fair enough, but we can still address this issue: 
> 
> 1) save the name and apply the change when it's up again (i think we do it in
> edit vm options)

This is a risk as that may lead to discrepancy in the rhevm db vs the domain meta-data 

> 2) grey out this field while domain is down like we do in host\address field.
This is the proper behavior as long as we have the human readable name stored in the domain mata-data. Changing the title to reflect that.

Comment 4 Itamar Heim 2012-01-09 23:02:30 UTC
the EasyFix would be to gray out this field based on storage status

Comment 5 Itamar Heim 2012-12-10 19:10:57 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Comment 6 Yaniv Kaul 2012-12-10 19:21:38 UTC
Re-opening. It's a papercut.

Comment 7 Allon Mureinik 2013-03-13 12:50:45 UTC
> > 2) grey out this field while domain is down like we do in host\address field.
> This is the proper behavior as long as we have the human readable name
> stored in the domain mata-data. Changing the title to reflect that.

Verified on Change-Id I54a3c720edf863dcbc520ef41194d3816f9a0048